@echo off
echo Weather charts from NOAA NWS Gateway
echo PWS - Latin America -  Africa
echo.
echo.


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set irfanviewdir=%9

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWSB85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWSC85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWSD85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWSE85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWSF85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWSG85.TIF

echo off
if not exist "%OutputDrive%\%OutputDir%\PWS?85.TIF"  goto MESSAGE
echo The files "PWSB85.TIF" up to "PWSG85.TIF" have been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Data is retrieved from ftp://tgftp.nws.noaa.gov/fax/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


rem generate TXT file
echo %OutputDrive%\%OutputDir%\PWSB85.jpg > %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt
echo %OutputDrive%\%OutputDir%\PWSG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWS.txt


rem wait 2 seconds for irfanview to flush its output
ping 1.1.1.1 -n 3 -w 500 > NUL

set irfanviewdir=%irfanviewdir:~2,-2%
"%irfanviewdir%" %OutputDrive%\%OutputDir%\PWS*85.TIF /rotate_l /convert=%OutputDrive%\%OutputDir%\PWS*85.jpg

"%irfanviewdir%" /slideshow=%OutputDrive%\%OutputDir%\noaa_PWS.txt /closeslideshow


del %OutputDrive%\%OutputDir%\PWS*.jpg
del %OutputDrive%\%OutputDir%\PWS*.tif
del %OutputDrive%\%OutputDir%\noaa_PWS.txt


:END
"%IlwDir%\ilwis.exe" -C closeall