@echo off
rem input filename format 3B42.19980101.03.7.HDF
rem loop of 8 files

call inputparam.bat

echo off

set longfilename=%1
set shortfilename1=%longfilename:~5,8%
set shortfilename2=%longfilename:~13,3%
set shortfilename3=%longfilename:~14,2%

echo.
echo processing  timestep %shortfilename1%_%shortfilename3% 
echo.

%gdalDir%\gdal_translate -of ilwis HDF4_SDS:UNKNOWN:"3B42.%shortfilename1%%shortfilename2%.7.HDF":0 3B42_%shortfilename1%_%shortfilename3%_org.mpr

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\3B42_%shortfilename1%_%shortfilename3%r180.mpr:=MapMirrorRotate(%OutputDrive%\%OutputDir%\3B42_%shortfilename1%_%shortfilename3%_org,Rotate180)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\trmm_3B42_%shortfilename1%_%shortfilename3%.mpr:=MapMirrorRotate(%OutputDrive%\%OutputDir%\3B42_%shortfilename1%_%shortfilename3%r180,Rotate90)
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\trmm_3B42_%shortfilename1%_%shortfilename3%.mpr %utilDir%\trmm_3b42_025d

rem delete obsolete objects

del %OutputDrive%\%OutputDir%\3B42_%shortfilename1%_%shortfilename3%_org.mp*
del %OutputDrive%\%OutputDir%\3B42_%shortfilename1%_%shortfilename3%r180.mp*
