@echo off
echo Landsat 8 data is in input directory, in ILWIS format
 

set longfilename=%1

set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set Irfanview=%9

cd /d "%ilwDir%\Extensions\Caboverde-Toolbox\toolbox_startscript\Landsat8"

cmd /c powershell -ExecutionPolicy RemoteSigned -File .\reflectance_start.ps1"


 
if exist "%ilwDir%\Extensions\Caboverde-Toolbox\toolbox_startscript\Landsat8\st_Refno.txt" GOTO END


cd /d "%OutputDrive%\%OutputDir%"

call "%ilwDir%\Extensions\Caboverde-Toolbox\toolbox_startscript\Landsat8\st_Ref.bat"

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\%output_file%_temp'.mpr:=%multi_value%*'%inputDrive%\%inputDir%\%longfilename%'+%add_value%

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\%output_file%'.mpr{dom=value;vr=-10:10:0.00001}:='%OutputDrive%\%OutputDir%\%output_file%_temp'/cos(degrad(90.00000-%sun_value%))


del "%ilwDir%\Extensions\Caboverde-Toolbox\toolbox_startscript\Landsat8\st_Ref.bat"
del "%OutputDrive%\%OutputDir%\%output_file%_temp.mp*"


GOTO ENDEND


:END
del "%ilwDir%\Extensions\Caboverde-Toolbox\toolbox_startscript\Landsat8\st_Refno.txt"


:ENDEND
"%IlwDir%\ilwis.exe" -C closeall